
Redmine - Defect #12226

Subject field can be edited by everyone

2012-10-26 16:23 - Marios Michok

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.1.2

Description

Hello All!!

I have just installed the Redmine 2.1.2 version, and it seems that the subject and description fields, are set to default, to be editable,

at all stages of an issue.

Is there any way, that they will not be editable, after a new ticket has been created? I have tried having these fields as "read-only",

from the workflow section, but if I set this for "New" tracker, I will not be able to fill in these fields, even when first creating a ticket.

Any details around this, will be of great help!!

Thanks in advance

History

#1 - 2012-10-26 16:58 - Daniel Felix

Hey,

you can define those fields as readable in Administration > Roles and Rights. There is a tab "Field Permissions". Those fields could be set to "read

only".

Hope this helps?

#2 - 2012-10-27 08:07 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Users with "edit issues" privileges can edit the subject and the description. It can be disabled by making some fields read-only for certain stauses.

You've got 2 options:

make the subject and description read-only except for the "New" status

remove the "edit issues" permission from these users

I'm closing it, help requests should be done in the forum.

Powered by TCPDF (www.tcpdf.org)

2025-05-02 1/1

http://www.tcpdf.org

